// HelloWorld.cpp: The famous HelloWorld example, this time in RISC SystemC
// Author: Rainer Doemer, CECS, UCI
// Date: 10/30/2015

#include <iostream>
#include "systemc.h"

SC_MODULE(HelloWorld)
{
  void main(void)
  {
    std::cout << "Hello World!" << std::endl;
  }

  SC_CTOR(HelloWorld)
  {
    SC_THREAD(main);
  }
};

int sc_main(int argc, char* argv[])
{
	HelloWorld helloworld("helloworld");
	sc_start();
	return 0;
}

// EOF
