#include <iostream>
#include <string>

#include "risc.h"

int main(int argc, char* argv[])
{
  std::cout << std::endl << "start processing file ..." << std::endl;

  risc::Design d(argc,argv);

  risc::inst::instrument_reference_printing(d.instrumentor_output_filename_);

  backend(d.project_);

  std::cout << std::endl << "end processing file ..." << std::endl;

  return 0;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
