#include "systemc.h"

#define RISC_ALL_SEGMENT_TESTS 1

#include "input_straight.cpp"
#include "input_if_else.cpp"
#include "input_for.cpp"
#include "input_for_break.cpp"
#include "input_for_continue.cpp"
#include "input_while.cpp"
#include "input_while_break.cpp"
#include "input_while_continue.cpp"
#include "input_do_while.cpp"
#include "input_do_while_break.cpp"
#include "input_do_while_continue.cpp"
#include "input_while_if_else.cpp"
#include "input_nested_test.cpp"
#include "input_switch.cpp"
#include "input_misc.cpp"
#include "input_sequential_statements_with_wait.cpp"

SC_MODULE(M)
{
  SC_CTOR(M)
  {
  }
};

int sc_main(int argc, char **argv)
{
  M m("m");
  sc_start();
  return 0;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
